Board index » cppbuilder » Installing BDS2006 Updates in Vista

Installing BDS2006 Updates in Vista


2007-03-26 02:05:30 AM
cppbuilder93
I'm having a problem installing the updates for BDS2006 under Vista.
When I open the Command Prompt as the administrator and follow the
download's installation instructions, I get this message:
"This patch package could not be opened. Contact the application
vendor to verify that this is a valid Windows Installer patch
package."
Is there a way around this problem?
 
 

Re:Installing BDS2006 Updates in Vista

"Bob Penoyer" < XXXX@XXXXX.COM >wrote in message
Quote
I'm having a problem installing the updates for BDS2006 under Vista.
When I open the Command Prompt as the administrator and follow the
download's installation instructions, I get this message:

"This patch package could not be opened. Contact the application
vendor to verify that this is a valid Windows Installer patch
package."
Verify the size of the Update matches the size listed on the download page.
The size is listed next to the download link under the HTTP section. It
sounds like your download may have been corrupted. I assume you are trying
to install update 2? There is a known issue installing update 2 that is
different than the problem you describe. The workaround is posted on the
support website:
support.borland.com/entry.jspa
Regards,
Angel
 

Re:Installing BDS2006 Updates in Vista

On Sun, 25 Mar 2007 11:22:38 -0700, "Angel Martinez \(CodeGear\)"
< XXXX@XXXXX.COM >wrote:
Quote
"Bob Penoyer" < XXXX@XXXXX.COM >wrote in message
news: XXXX@XXXXX.COM ...
>I'm having a problem installing the updates for BDS2006 under Vista.
>When I open the Command Prompt as the administrator and follow the
>download's installation instructions, I get this message:
>
>"This patch package could not be opened. Contact the application
>vendor to verify that this is a valid Windows Installer patch
>package."


Verify the size of the Update matches the size listed on the download page.
The size is listed next to the download link under the HTTP section. It
sounds like your download may have been corrupted. I assume you are trying
to install update 2? There is a known issue installing update 2 that is
different than the problem you describe. The workaround is posted on the
support website:

support.borland.com/entry.jspa
Thanks for your response, Angel. I was trying to install update 1
before installing 2. Is that the way it should be done?
 

{smallsort}

Re:Installing BDS2006 Updates in Vista

Hi Bob,
"Bob Penoyer" < XXXX@XXXXX.COM >wrote in message
Quote
Thanks for your response, Angel. I was trying to install update 1
before installing 2. Is that the way it should be done?
That isn't necessary. Update 2 is cumulative so it can be installed over
the original shipping version of Borland Developer Studio 2006 or over
Update 1. Please see the readme included in the .zip file for additional
information.
 

Re:Installing BDS2006 Updates in Vista

Hi Bob,
Quote
I'm having a problem installing the updates for BDS2006 under Vista.
When I open the Command Prompt as the administrator and follow the
download's installation instructions, I get this message:

"This patch package could not be opened. Contact the application
vendor to verify that this is a valid Windows Installer patch
package."
This is a "known" issue, and is caused by the fact that it cannot find
the installation database.
See www.drbob42.com/examines/examin84.htm for details.
Quote
Is there a way around this problem?
You have to manually start the installation of Update #2, by using a
command prompt to go to the directory where the Update #2 msp file is
located. Note that a "Run as Administrator" command prompt is needed.
The actual command line is as follows:
msiexec /update bds2006_en_arch_upd2.msp
Note that the "en" and "arch" parts here may be different for your
specific version of Delphi 2006. This will run the Update #2 installer,
after which you can also apply the HotFix Rollup, which like Update #2
is available for all registered Delphi 2006 users. The HotFix Rollup is
an single executable that will not give any further compatibility
problems when applying.
Groetjes,
Bob Swart
--
Bob Swart Training & Consultancy (eBob42.com) Forever Loyal to Delphi
Blog: www.drbob42.com/blog - RSS: drbob42.com/weblog.xml
New Delphi 2006 Courseware e-books at www.eBob42.com/courseware